Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Client_Strategy_Factory.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/Service_Object.h"`

Include dependency graph for Client_Strategy_Factory.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Client_Strategy_Factory
| Abstract factory used by the client to manufacture various strategies used on the client-side. More...

## Detailed Description

Id
  Client_Strategy_Factory.h,v 1.33 2005/11/24 11:05:44 ossama Exp

Author:
  Chris Cleeland <cleeland@cs.wustl.edu>